/**
 * CSV形式のレコードの入出力を行う為の各種クラスを提供します。<br>
 * <p>
 * このパッケージで提供されるCSV操作クラスは、CSVにおけるデリミタ文字やエスケープ処理をユーザーが意識することなく実行できるクラスとして提供されます。<br>
 * </p>
 * <p>
 * ここで提供されるクラス群は以下のような構成となっています。<br>
 * <ul>
 * 
 * <li>CSVレコード管理クラス</li>
 * <ul>
 * <li>{@link org.phosphoresce.lib.commons.csv.CSVToken}</li>
 * CSVレコードのトークンレベルの情報を管理するクラスです。<br>
 * <li>{@link org.phosphoresce.lib.commons.csv.CSVRecord}</li>
 * 複数のCSVトークンをレコードとして管理する為のクラスです。<br>
 * <li>{@link org.phosphoresce.lib.commons.csv.CSVRecordList}</li>
 * 複数のCSVレコードを1つのCSV情報として管理する為のクラスです。<br>
 * </ul>
 * 
 * <li>CSVリソース管理クラス</li>
 * <ul>
 * <li>{@link org.phosphoresce.lib.commons.csv.CSVManager}</li>
 * CSVリソースの読み込み、出力を管理するクラスです。<br>
 * </ul>
 * <li>{@link org.phosphoresce.lib.commons.csv.CSVWriter}</li>
 * CSVレコード毎の出力処理を行う為のクラスです。<br>
 * </ul>
 * 
 * <li></li>
 * </ul>
 * </p>
 */
package org.phosphoresce.lib.commons.csv;