<%@page pageEncoding="UTF-8"%>
<%--
/**
 * フレームワークで共通実行されるスクリプトソースJSPです。<br>
 * <p>
 * フレームワークで提供されるhtmlタグ終了手前で出力されるスクリプトソースで、共通レイアウトJSPから必ずincludeさせる必要があります。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa			新規作成
 *-->
 */
--%>
<%--
/**
 * ログアウトボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonLogout").bind("click", function() {
			Submit.doSubmit({
				editedConfirm : false,
				url : "${f:cfg(StrutsConfigNames.STRUTS_URL_LOGOUT.key)}"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * メニューボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonMenu").bind("click", function() {
			Submit.doSubmit({
				editedConfirm : false,
				url : "${f:cfg(StrutsConfigNames.STRUTS_URL_MENU.key)}"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * ドキュメントロード時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	<%--
	/*
	 * 不正遷移防止の為、ヒストリ移動を許可しない
	 */
	--%>
	window.history.forward(1);

	<%--
	/*
	 * 以下オンロードイベントスクリプト
	 */
	--%>
	$(function() {
		<%--
		/*
		 * サブミットクラス初期化処理
		 */
		--%>
		Submit.initialize({
			functionBeforSubmit : function() {
				$("#${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_X}").val($(window).scrollLeft());
				$("#${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_Y}").val($(window).scrollTop());
			}
		});

		<%--
		/*
		 * タブレットタップイベント高速化
		 */
		--%>
		$("input[type=button]").each(function() {
			FastClick.attach($(this)[0]);
		});

		<%--
		/*
		 * 要素フォーカス位置退避イベント設定
		 */
		--%>
		$("input[type!=button],select,textarea").bind("focus", function() {
			$(this)

			if ($(this).attr("id")) {
				$("#${StrutsConstants.FIELD_KEY_FOCUSED_ID}").val($(this).attr("id"));
			} else if ($(this).attr("name")) {
				$("#${StrutsConstants.FIELD_KEY_FOCUSED_ID}").val($(this).attr("name"));
			} else {
				$("#${StrutsConstants.FIELD_KEY_FOCUSED_ID}").val("");
			}
		});

		<%--
		/*
		 * 項目編集監視イベント設定
		 */
		--%>
		$(".control-monitor-change").bind("change", function() {
			$("#${StrutsConstants.FIELD_KEY_FIELD_EDITED}").val("1");
		});

		<%--
		/*
		 * オンロードのタイミングでウィンドウを前面にフォーカス
		 */
		--%>
		Browser.focusWindow();

		<%--
		/**
		 * テーマ適用時のちらつき防止のため、body要素はスタイル上noneとしておき、表示のタイミングでblockとする
		 */
		--%>
		$("body").css("display", "block");

		<%--
		/*
		 * 要素フォーカス位置復元
		 */
		--%>
		var backupFocusId = $("#${StrutsConstants.FIELD_KEY_FOCUSED_ID}").val();
		if (backupFocusId !== "") {
			if ($("#" + backupFocusId)[0]) {
				$("#" + backupFocusId).focus();
			} else if ($("[name=" + backupFocusId + "]")[0]) {
				$("[name=" + backupFocusId + "]").focus();
			} else {
				ElementUtil.initFocus();
			}
		} else {
			ElementUtil.initFocus();
		}

		<%--
		/*
		 * スクロール位置設定
		 */
		--%>
		$(window).scrollTop(0);
		$(window).scrollLeft(0);
		<logic:messagesNotPresent property="errors">
		<logic:messagesNotPresent property="warnings">
		<logic:messagesNotPresent property="informations">
		<logic:messagesNotPresent property="notices">
		<logic:messagesNotPresent property="debugs">
		<logic:messagesNotPresent property="traces">
		<logic:messagesNotPresent property="others">
<%--
		<logic:messagesNotPresent property="hiddens">
--%>
		$(window).scrollTop(parseInt($("#${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_Y}").val()));
		$(window).scrollLeft(parseInt($("#${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_X}").val()));
<%--
		</logic:messagesNotPresent>
--%>
	</logic:messagesNotPresent>
		</logic:messagesNotPresent>
		</logic:messagesNotPresent>
		</logic:messagesNotPresent>
		</logic:messagesNotPresent>
		</logic:messagesNotPresent>
		</logic:messagesNotPresent>
<%--
		/*
		 * クライアントアラートメッセージ表示
		 */
		--%>
	<c:forEach var="item" varStatus="status" items="${form.controlClientAlertMessages}">
		alert("${f:h(item)}");
		</c:forEach>
	});
</script>
