<%@page pageEncoding="UTF-8"%>
<%--
/**
 * 画面レイアウトのページ上部ソースJSPです。<br>
 * <p>
 * 全画面のページ出力時に共通でページ先頭に出力する処理を提供します。<br>
 * アプリケーション固有の変更を受け付けるレイアウトJSPです。<br>
 * 当レイアウトを利用し、個別のスクリプトやスタイルシートを追加する場合はheadタグに追加します。<br>
 * </p>
 * <p>
 * このJSPが受け付けるパラメータは以下の通りです。<br>
 * <ul>
 * 
 * <li>functionTitle : String</li>
 * 画面機能名を指定します。<br>
 * 
 * <li>showLoginUser : Boolean</li>
 * ログインユーザーを表示するか指定します。<br>
 * 
 * <li>showMessage : Boolean</li>
 * アプリケーションメッセージを表示するか指定します。<br>
 * 
 * </ul>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/24	Kitagawa		新規作成
 *-->
 */
--%>
<%--
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"">
--%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"">
<html>
<head>
	<%--
	/*
	 * フレームワーク共通headタグソース
	 */
	--%>
	<jsp:include page="/WEB-INF/view/common/jsp_headSource.jsp" />
</head>

<body
>
<form>
<div
	id="mainContent"
>
<%--
/*
 * フレームワーク共通制御フィールドソース
 */
--%>
<jsp:include page="/WEB-INF/view/common/jsp_controlFieldSource.jsp" />

<div
	id="headerContainer" 
	class="header-container no-margin no-padding fill-h snap-top"
	style="z-index: 1"
>
	<div
		class="header-navigation-top-container no-margin no-padding no-wrap fill-h bg_grd_v_f0f0f0_fefefe_48 border-solid border-1px-bottom color-bd-09-dk"
	>
		<div
			class="global-uniform"
		>
		<span>
		${f:h(f:cfg(GlobalConfigNames.COMMON_APPLICATION_TITLE.key))}
		</span>
		<span
			class="float-right"
		>
<c:if test="${param.showLoginUser}">
		<input
			type="button"
			id="buttonMenu"
			class="button-small"
			value="メニュー"
			tabindex="-1"
		>
		<input
			type="button"
			id="buttonLogout"
			class="button-small"
			value="ログアウト"
			tabindex="-1"
		>
</c:if>
		</span>
		</div>
	</div>
	<div
		class="header-navigation-bottom-container no-margin no-padding no-wrap fill-h bg_grd_v_f0f0f0_fefefe_24 border-solid border-1px-bottom color-bd-09-dk"
	>
		<div
			class="global-uniform"
		>
		<span>
		${f:h(param.functionTitle)}
		</span>
<c:if test="${param.showLoginUser}">
		<span
			class="float-right"
		>
		${windowSessionContainer.loginUser.loginInfo.firstName} ${windowSessionContainer.loginUser.loginInfo.lastName}
		</span>
</c:if>
		</div>
	</div>
	<div
		class="header-hairline no-margin no-padding no-wrap fill-h color-bg-03-dkn"
	>
	</div>
</div>

<div 
	id="headerMargin" 
	class="header-margin"
></div>
<div
	class="global-uniform"
>

<c:if test="${param.showMessage}">
<jsp:include page="/WEB-INF/view/common_layout/layout_message.jsp" />
</c:if>
