<%@page pageEncoding="UTF-8"%>
<%--
/**
 * FS00001(サンプルログイン画面)メインJSP<br>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/08/13	Kitagawa			新規作成
 *--/
 */
--%>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_header.jsp" flush="true">
	<jsp:param name="functionTitle" value="ログイン" />
	<jsp:param name="showMessage" value="true" />
	<jsp:param name="showLoginUser" value="false"/>
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト END
 **************************************************************************************************************************************************************
--%>

<%--
 ==============================================================================================================================================================
 == ページ固有スタイル START
 ==============================================================================================================================================================
--%>
<style type="text/css">
.main-container {
	position: absolute;
	top: 50%;
	left: 50%;
	/*width: 850px; */
	/*height: 400px;*/
	margin: 0px 0px 0px 0px;
}
.title-container {
	position: absolute;
	width: 300px;
	margin: -100px 0px 0px -320px;
	font-size: 48px;
}
.login-container {
	position: absolute;
	width: 350px;
	margin: -60px 0px 0px 0px;
}
</style>
<%--
 ==============================================================================================================================================================
 == ページ固有スタイル END
 ==============================================================================================================================================================
--%>

<%--
 ==============================================================================================================================================================
 == ページコンテンツ START
 ==============================================================================================================================================================
--%>
<div
	class="main-container"
>
	<div
		class="title-container"
	>
	${f:h(f:cfg(GlobalConfigNames.COMMON_APPLICATION_TITLE.key))}
	</div>
	<div
		class="form-container login-container"
	>
		<table class="input-form">
			<tr>
				<th>ユーザーID</th>
				<td>
					<input 
						type="text" 
						class="ime-disabled"
						id="code" 
						name="code"
						value="${form.code}"
					/>
				</td>
			</tr>
			<tr>
				<th>パスワード</th>
				<td>
					<input 
						type="password" 
						id="password" 
						name="password"
						value="${form.password}"
					/>
				</td>
			</tr>
		</table>
		<div class="button-container">
			<input 
				type="button"
				id="buttonLogin" 
				value="ログイン"
			/>
		</div>
	</div>
</div>
<%--
 ==============================================================================================================================================================
 == ページコンテンツ END
 ==============================================================================================================================================================
--%>

<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_footer.jsp" flush="true">
	<jsp:param name="functionScript" value="/WEB-INF/view/function/FS00001/FS00001Script.jsp" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト END
 **************************************************************************************************************************************************************
--%>
