<%@page pageEncoding="UTF-8"%>
<%--
/**
 * クライアントUIスタイルアドオンサンプルJSP<br>
 * <p>
 * 共通スタイルサンプルサブJSP<br>
 * </p>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2013/08/01	Kitagawa			新規作成
 *--/
 */
--%>
フレームワークで提供するタグレベルで統一されたスタイル定義で、webfw-ui-common.cssにて定義されます。<br>
フォントや一般的な要素タグスタイルはここで全て定義され、必要に応じて個別のスタイルクラスを要素に適用させます。<br>

<hr>

<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>フォント</h4>
<div class="sample-content">
	<div class="sample-set-block">
		12345ABCDEabcdeあいうえお漢字
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>ヘディング(h1～h6)</h4>
<div class="sample-content">
	<div class="sample-set-block">
		<h1>H1 12345ABCDEabcdeあいうえお漢字</h1>
	</div>
	<div class="sample-set-block">
		<h2>H2 12345ABCDEabcdeあいうえお漢字</h2>
	</div>
	<div class="sample-set-block">
		<h3>H3 12345ABCDEabcdeあいうえお漢字</h3>
	</div>
	<div class="sample-set-block">
		<h4>H4 12345ABCDEabcdeあいうえお漢字</h4>
	</div>
	<div class="sample-set-block">
		<h5>H5 12345ABCDEabcdeあいうえお漢字</h5>
	</div>
	<div class="sample-set-block">
		<h6>H6 12345ABCDEabcdeあいうえお漢字</h6>
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>ヘアライン(hr)</h4>
<div class="sample-content">
	<div class="sample-set-block">
		<hr/>
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>フィールドセット(fieldset/legend)</h4>
<div class="sample-content">
	<div class="sample-set-block">
		<fieldset>
			<legend>12345ABCDEabcdeあいうえお漢字</legend>
			12345ABCDEabcdeあいうえお漢字12345ABCDEabcdeあいうえお漢字12345ABCDEabcdeあいうえお漢字
		</fieldset>
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>リストアイテム(ul/ol/li)</h4>
<div class="sample-content">
	<div class="sample-set-inline">
		<ul>
			<li>1234567890</li>
			<li>ABCDEFGHIJ</li>
			<li>abcdefghij</li>
			<li>あいうえお</li>
			<li>漢字</li>
		</ul>
	</div>
	<div class="sample-set-inline">
		<ol>
			<li>1234567890</li>
			<li>ABCDEFGHIJ</li>
			<li>abcdefghij</li>
			<li>あいうえお</li>
			<li>漢字</li>
		</ol>
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>インプットエレメント(input/textarea/select/button/label)</h4>
<div class="sample-content">
	<div class="sample-set-block">
		<input type="text" value="text">
		<input type="text" value="text-readonly" readonly="readonly">
		<input type="text" value="text-disabled" disabled="disabled">
	</div>
	<div class="sample-set-block">
		<input type="password" value="password">
		<input type="password" value="password-readonly" readonly="readonly">
		<input type="password" value="password-disabled" disabled="disabled">
	</div>
	<div class="sample-set-block">
		<input type="file" value="file">
		<input type="file" value="file-readonly" readonly="readonly">
		<input type="file" value="file-disabled" disabled="disabled">
	</div>
	<div class="sample-set-block">
		<textarea>textarea</textarea>
		<textarea readonly="readonly">textarea-readonly</textarea>
		<textarea disabled="disabled">textarea-disabled</textarea>
	</div>
	<div class="sample-set-block">
		<select>
			<option>select-option-1</option>
			<option>select-option-2</option>
			<option>select-option-3</option>
			<option>select-option-4</option>
			<option>select-option-5</option>
		</select>
		<select	disabled="disabled">
			<option>select-option-1</option>
			<option>select-option-2</option>
			<option>select-option-3</option>
			<option>select-option-4</option>
			<option>select-option-5</option>
		</select>
	</div>
	<div class="sample-set-block">
		<select size="3">
			<option>select-option-1</option>
			<option>select-option-2</option>
			<option>select-option-3</option>
			<option>select-option-4</option>
			<option>select-option-5</option>
		</select>
		<select size="3" disabled="disabled">
			<option>select-option-1</option>
			<option>select-option-2</option>
			<option>select-option-3</option>
			<option>select-option-4</option>
			<option>select-option-5</option>
		</select>
	</div>
	<div class="sample-set-block">
		<input type="radio" name="testRadio" id="testRadio1"/>
		<label for="testRadio1">testRadio1</label>
		<input type="radio" name="testRadio" id="testRadio2"/>
		<label for="testRadio2">testRadio2</label>
		<input type="radio" name="testRadio" id="testRadio3"/>
		<label for="testRadio3">testRadio3</label>
	</div>
	<div class="sample-set-block">
		<input type="checkbox" name="testCheckbox" id="testCheckbox1"/>
		<label for="testCheckbox1">testCheckbox1</label>
		<input type="checkbox" name="testCheckbox" id="testCheckbox2"/>
		<label for="testCheckbox2">testCheckbox2</label>
		<input type="checkbox" name="testCheckbox" id="testCheckbox3"/>
		<label for="testCheckbox3">testCheckbox3</label>
	</div>
	<div class="sample-set-block">
		<input type="button" value="input-button">
		<input type="submit" value="input-submit">
		<input type="reset" value="input-reset">
	</div>
	<div class="sample-set-block">
		<button type="button">button</button>
		<button type="submit">submit</button>
		<button type="reset">reset</button>
	</div>
</div>
