<%@page pageEncoding="UTF-8"%>
<%--
/**
 * クライアントUIスタイルアドオンサンプルJSP<br>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2013/08/01	Kitagawa			新規作成
 *--/
 */
--%>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_header.jsp" flush="true">
	<jsp:param name="functionTitle" value="UIスタイルアドオンサンプル(webfw-ui-****.css)" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** ヘッダーレイアウト END
 **************************************************************************************************************************************************************
--%>

<%--
 ==============================================================================================================================================================
 == ページ固有スタイル START
 ==============================================================================================================================================================
--%>
<style type="text/css">
.sample-content {
	display: block;
	border-top: 1px #cccccc solid;
	margin-bottom: 2em;
	padding-top: .5em;
}
.sample-set-inline {
	display: inline-block;
	padding: .2em;
}
.sample-set-block {
	display: block;
	padding: .2em;
}
.sample-set-200x70 {
	width: 200px;
	height: 70px;
}
.sample-set-200x40 {
	width: 200px;
	height: 40px;
}
.sample-set-150x65 {
	width: 150px;
	height: 65px;
}
.sample-set-margin-15px {
	margin: 15px;
}
</style>
<%--
 ==============================================================================================================================================================
 == ページ固有スタイル END
 ==============================================================================================================================================================
--%>

<%--
 ==============================================================================================================================================================
 == ページコンテンツ START
 ==============================================================================================================================================================
--%>
<div id="tabPane">
	<ul>
		<li><a href="#tabContent0">common.css</a></li>
		<li><a href="#tabContent1">color.css</a></li>
		<li><a href="#tabContent2">image.css</a></li>
		<li><a href="#tabContent3">decorate.css</a></li>
		<li><a href="#tabContent4">widget.css</a></li>
		<li><a href="#tabContent5">layout.css</a></li>
	</ul>
	<div id="tabContent0">
		<jsp:include page="/samples/webcore-ui/common.jsp" flush="true"/>
	</div>
	<div id="tabContent1">
		<jsp:include page="/samples/webcore-ui/color.jsp" flush="true"/>
	</div>
	<div id="tabContent2">
		<jsp:include page="/samples/webcore-ui/image.jsp" flush="true"/>
	</div>
	<div id="tabContent3">
		<jsp:include page="/samples/webcore-ui/decorate.jsp" flush="true"/>
	</div>
	<div id="tabContent4">
		<jsp:include page="/samples/webcore-ui/widget.jsp" flush="true"/>
	</div>
	<div id="tabContent5">
		<jsp:include page="/samples/webcore-ui/layout.jsp" flush="true"/>
	</div>
</div>
<%--
 ==============================================================================================================================================================
 == ページコンテンツ END
 ==============================================================================================================================================================
--%>

<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト START
 **************************************************************************************************************************************************************
--%>
<jsp:include page="/WEB-INF/view/common_layout/layout_footer.jsp" flush="true">
	<jsp:param name="functionScript" value="/samples/webcore-ui/script.jsp" />
</jsp:include>
<%--
 **************************************************************************************************************************************************************
 ** フッターレイアウト END
 **************************************************************************************************************************************************************
--%>
