<%@page pageEncoding="UTF-8"%>
<%--
/**
 * クライアントUIスタイルアドオンサンプルJSP<br>
 * <p>
 * レイアウトコンテナスタイルサンプルサブJSP<br>
 * </p>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2013/08/01	Kitagawa			新規作成
 *--/
 */
--%>
フレームワークで提供する汎用的なレイアウトスタイル定義で、webfw-ui-layout.cssにて定義されます。<br>

<hr>

<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>入力フォームレイアウト(table)</h4>
<div class="sample-content">
	<div
		class="form-container boxshadow-inset-small-black"
	>
		<table class="input-form">
			<tr>
				<th>column1</th>
				<td>
					<input type="text">
				</td>
				<th>column2</th>
				<td>
					<input type="text">
				</td>
			</tr
			<tr>
				<th>column3</th>
				<td>
					<select>
						<option>select-option-1</option>
						<option>select-option-2</option>
						<option>select-option-3</option>
						<option>select-option-4</option>
						<option>select-option-5</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>column4</th>
				<td>
					<input type="radio" name="testFormRadio2" id="testFormRadio1"/>
					<label for="testFormRadio1">testFormRadio1</label>
					<input type="radio" name="testFormRadio2" id="testFormRadio2"/>
					<label for="testFormRadio2">testFormRadio2</label>
					<input type="radio" name="testFormRadio2" id="testFormRadio3"/>
					<label for="testFormRadio3">testFormRadio3</label>
				</td>
			</tr>
			<tr>
				<th>column5</th>
				<td>
					<input type="checkbox" name="testFormCheckbox1" id="testFormCheckbox1"/>
					<label for="testFormCheckbox1">testFormCheckbox1</label>
					<input type="checkbox" name="testFormCheckbox1" id="testFormCheckbox2"/>
					<label for="testFormCheckbox2">testFormCheckbox2</label>
					<input type="checkbox" name="testFormCheckbox1" id="testFormCheckbox3"/>
					<label for="testFormCheckbox3">testFormCheckbox3</label>
				</td>
			</tr>
			<tr>
				<th>column6</th>
				<td>
					plain text
				</td>
			</tr>
		</table>
	</div>
</div>

<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>入力フォームレイアウト(ul)</h4>
<div class="sample-content">
	<div
		class="form-container boxshadow-inset-small-black"
	>
		<ul class="input-form">
			<li class="title">column1</li>
			<li class="item">
				<input type="text">
			</li>
			<li class="title">column2</li>
			<li class="item">
				<input type="text">
			</li>
		</ul>
		<ul class="input-form">
			<li class="title">column3</li>
			<li class="item">
				<select>
					<option>select-option-1</option>
					<option>select-option-2</option>
					<option>select-option-3</option>
					<option>select-option-4</option>
					<option>select-option-5</option>
				</select>
			</li>
		</ul>
		<ul class="input-form">
			<li class="title">column4</li>
			<li class="item">
				<input type="radio" name="testFormRadio2" id="testFormRadio4"/>
				<label for="testFormRadio4">testFormRadio4</label>
				<input type="radio" name="testFormRadio2" id="testFormRadio5"/>
				<label for="testFormRadio5">testFormRadio5</label>
				<input type="radio" name="testFormRadio2" id="testFormRadio6"/>
				<label for="testFormRadio6">testFormRadio6</label>
			</li>
		</ul>
		<ul class="input-form">
			<li class="title">column5</li>
			<li class="item">
				<input type="checkbox" name="testFormCheckbox2" id="testFormCheckbox4"/>
				<label for="testFormCheckbox4">testFormCheckbox4</label>
				<input type="checkbox" name="testFormCheckbox2" id="testFormCheckbox5"/>
				<label for="testFormCheckbox5">testFormCheckbox5</label>
				<input type="checkbox" name="testFormCheckbox2" id="testFormCheckbox6"/>
				<label for="testFormCheckbox6">testFormCheckbox6</label>
			</li>
		</ul>
		<ul class="input-form">
			<li class="title">column6</li>
			<li class="item">
				plain text
			</li>
		</ul>
	</div>
</div>
<%--
 // -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--%>
<h4>リストレイアウト</h4>
<div class="sample-content">
	<table 
		id="test"
		class="list-form"
	>
	<colgroup>
		<col style="width: 10em; min-width: 10em; max-width: 10em;">
		<col style="width: 15em; min-width: 15em; max-width: 15em;">
		<col style="width: 20em; min-width: 20em; max-width: 20em;">
		<col style="width: 25em; min-width: 25em; max-width: 25em;">
	</colgroup>
	<tr>
		<th>column1</th>
		<th>column2</th>
		<th>column3</th>
		<th>column4</th>
	</tr>
	<tr>
		<td>data1</td>
		<td>data2</td>
		<td>data3</td>
		<td>data4</td>
	</tr>
	<tr><td>data1</td><td>data2</td><td>data3</td><td>data4</td></tr>
	<tr><td>data1</td><td>data2</td><td>data3</td><td>data4</td></tr>
	<tr><td>data1</td><td>data2</td><td>data3</td><td>data4</td></tr>
	<tr><td>data1</td><td>data2</td><td>data3</td><td>data4</td></tr>
	<tr><td>data1</td><td>data2</td><td>data3</td><td>data4</td></tr>
	</table>
</div>
