package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * ファイルタグの要素インタフェースを提供します。<br>
 * </p>
 * ファイルタグはinput[type=file]要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "FileS.vm", endTemplate = "FileE.vm")
public class FileModel extends AbstractNamedModel {

	/**
	 * コンストラクタ<br>
	 */
	public FileModel() {
		super();
	}
}
