package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * リテラルラベルタグの要素インタフェースを提供します。<br>
 * </p>
 * リテラルラベルは入力不可能な表示用文字列表示要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "LiteralLabelS.vm", endTemplate = "LiteralLabelE.vm")
public class LiteralLabelModel extends AbstractNamedModel {

	/**
	 * コンストラクタ<br>
	 */
	public LiteralLabelModel() {
		super();
	}
}
