package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * スマートレイアウトコンテナタグの要素インタフェースを提供します。<br>
 * </p>
 * スマートレイアウトコンテナタグとはスマートレイアウトを利用したタグ構成でJSPを作成する際の最上位に位置するタグ要素となります。<br>
 * スマートレイアウトを利用したページ構成とする場合は必ずこのスマートレイアウトタグの内部に各種要素タグを設置します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "SmartLayoutS.vm", endTemplate = "SmartLayoutE.vm")
public class SmartLayoutModel extends AbstractModel {

	/**
	 * コンストラクタ<br>
	 */
	public SmartLayoutModel() {
		super();
	}
}
