package org.phosphoresce.webcore.ext.smartlayout.taglib;

import org.phosphoresce.webcore.ext.smartlayout.model.ButtonModel;
import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.LooseTagConfig;

/**
 * ボタンタグのカスタムタグインタフェースを提供します。<br>
 * <p>
 * このカスタムタグが提供する属性インタフェースはモデルクラスである
 * {@link ButtonModel}
 * を参照してください。
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/05	Kitagawa		新規作成
 *-->
 */
@LooseTagConfig(modelClass = ButtonModel.class)
public class Button extends LooseTagAdapter {

	/**
	 * コンストラクタ<br>
	 */
	public Button() {
		super();
	}
}
