package org.phosphoresce.lib.jod;

/**
 * LibreOfficeソケットサービスの実行OSタイプ定義の列挙型定数を提供します。<br>
 * <p>
 * ここで提供される列挙型定数は、{@link JODSetting}で利用されます。<br>
 * LibreOfficeソケットサービスプロセスを動的に起動する場合、指定されたOSタイプにあったコマンドが実行されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2012/12/19	Kitagawa		新規作成
 *-->
 */
public enum JODOSType {

	/** Linux */
	LINUX,

	/** Windows */
	WINDOWS,
}
