package sample.org.phosphoresce.webcore.ext.struts.function.FS00002;

import org.phosphoresce.lib.commons.util.FileUtil;
import org.phosphoresce.webcore.core.config.Config;
import org.phosphoresce.webcore.ext.jasper.JasperConfigName;
import org.phosphoresce.webcore.ext.poi.PoiConfigName;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleConstants;

/**
 * サンプル機能定数インタフェースです(メニュー画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public interface FS00002Constants extends SampleConstants {

	/** Jasperテスト用帳票定義体 */
	public static final String JASPER_TESTFILE01 = FileUtil.connectPath(Config.getString(JasperConfigName.JASPER_TEMPLATE_PATH), "FS00002_01.jrxml");

	/** Jasperテスト用帳票定義体 */
	public static final String JASPER_TESTFILE02 = FileUtil.connectPath(Config.getString(JasperConfigName.JASPER_TEMPLATE_PATH), "FS00002_02.jrxml");

	/** POIテスト用帳票定義体 */
	public static final String POI_TESTFILE01 = FileUtil.connectPath(Config.getString(PoiConfigName.POI_TEMPLATE_PATH), "FS00002_01.xls");
}
