package sample.org.phosphoresce.webcore.ext.struts.function.FS00002;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleLogic;
import sample.org.phosphoresce.webcore.ext.struts.common.service.SampleSUserService;

/**
 * サンプル機能ロジッククラスです(メニュー画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00002Logic extends SampleLogic implements FS00002Constants {

	/**
	 * コンストラクタ<br>
	 */
	public FS00002Logic() {
		super();
	}

	/**
	 * 指定されたコードとパスワードでユーザー情報を取得します。<br>
	 * @param code ユーザーコード
	 * @param password パスワード
	 * @return ユーザー情報
	 */
	public SUser getSUser(String code, String password) {
		SampleSUserService sampleSUserService = createService(SampleSUserService.class);
		SUser sUser = sampleSUserService.searchByCodeAndPassword(code, password);
		return sUser;
	}
}
