package sample.org.phosphoresce.webcore.ext.struts.function.FS00003;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.struts.action.Forward;
import org.phosphoresce.webcore.ext.struts.action.ServletContainer;
import org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsMethod;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleAction;

/**
 * サンプル機能アクションクラスです(サンプルダイアログ画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00003Action extends SampleAction<FS00003Form> implements FS00003Constants {

	/**
	 * 初期表示処理を行います。<br>
	 * @param form ActionFormオブジェクト
	 * @param session セッションコンテナオブジェクト
	 * @param servlet サーブレットコンテナオブジェクト
	 * @return 遷移先パス
	 * @throws Throwable 処理中に補足されない予期せぬエラーが発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractAction#index(org.phosphoresce.webcore.ext.struts.action.AbstractForm, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer, org.phosphoresce.webcore.ext.struts.action.ServletContainer)
	 */
	@Override
	@StrutsMethod
	public Forward index(FS00003Form form, WindowSessionContainer<SUser> session, ServletContainer<SUser> servlet) throws Throwable {
		return new Forward();
	}
}