package sample.org.phosphoresce.webcore.ext.struts.function.FS00003;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.struts.action.ServletContainer;
import org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer;

import sample.org.phosphoresce.webcore.ext.struts.common.action.SampleForm;

/**
 * サンプル機能フォームクラスです(サンプルダイアログ画面)。<br>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class FS00003Form extends SampleForm implements FS00003Constants {

	/** テスト入力項目 */
	private String fieldTestInput;

	/**
	 * フォームオブジェクトをリセットします。<br>
	 * @param servlet サーブレットコンテナオブジェクト
	 * @param session ウィンドウセッションオブジェクト
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractForm#reset(org.phosphoresce.webcore.ext.struts.action.ServletContainer, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer)
	 */
	@Override
	public void reset(ServletContainer<SUser> servlet, WindowSessionContainer<SUser> session) {
	}

	/**
	 * フォームオブジェクトを初期化します。<br>
	 * @param servlet サーブレットコンテナオブジェクト
	 * @param session ウィンドウセッションオブジェクト
	 * @see org.phosphoresce.webcore.ext.struts.action.AbstractForm#init(org.phosphoresce.webcore.ext.struts.action.ServletContainer, org.phosphoresce.webcore.ext.struts.action.WindowSessionContainer)
	 */
	@Override
	public void init(ServletContainer<SUser> servlet, WindowSessionContainer<SUser> session) {
		fieldTestInput = "";
	}

	/**
	 * テスト入力項目を取得します。<br>
	 * @return テスト入力項目
	 */
	public String getFieldTestInput() {
		return fieldTestInput;
	}

	/**
	 * テスト入力項目を設定します。<br>
	 * @param fieldTestInput テスト入力項目
	 */
	public void setFieldTestInput(String fieldTestInput) {
		this.fieldTestInput = fieldTestInput;
	}
}
