package test.org.phosphoresce.webcore.ext.hibernate;

import org.phosphoresce.webcore.ext.hibernate4.dao.SUserDAO;
import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.AbstractHibernateService;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionContext;

/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンフレームワークのテストサービスクラスです。<br>
 * <p>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/04	Kitagawa		新規作成
 *-->
 */
public class TestHibernateService extends AbstractHibernateService<SUser> {

	/**
	 * コンストラクタ<br>
	 * @param transactionContext トランザクション処理コンテキストオブジェクト
	 */
	public TestHibernateService(HibernateTransactionContext<SUser> transactionContext) {
		super(transactionContext);
	}

	/**
	 * テスト処理を行います。<br>
	 */
	public void test() {
		SUserDAO sUserDAO = createDAO(SUserDAO.class);
		sUserDAO.findByCode("foo");
	}
}
