/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンモジュールにおけるトランザクション処理関連クラスを提供します。<br>
 * <p>
 * このパッケージではコアモジュールで提供される以下のトランザクション関連クラスの実装クラスが提供されます。<br>
 * </p>
 * <ul>
 * <li>{@link org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionContext}</li>
 * <p>
 * {@link org.phosphoresce.webcore.core.transaction.TransactionContext}を継承したトランザクションコンテキストクラスです。<br>
 * コアモジュールで提供されるトランザクションクラスに対する拡張インタフェースは提供されませんが、クラスジェネリクスがアドオンモジュールに合わせて決定されます。<br>
 * </p>
 * <li>{@link org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionManager}</li>
 * <p>
 * {@link org.phosphoresce.webcore.core.transaction.TransactionManager}を継承したトランザクション管理クラスです。<br>
 * コアモジュールで提供されるトランザクション管理クラスの抽象メソッドが実装され、Hibernateの{@link org.hibernate.SessionFactory}、{@link org.hibernate.Session}、{@link org.hibernate.Transaction}が管理されます。<br>
 * </p>
 * <li>{@link org.phosphoresce.webcore.ext.hibernate4.transaction.AbstractHibernateService}</li>
 * <p>
 * {@link org.phosphoresce.webcore.core.transaction.TransactionService}を継承したトランザクションサービスクラスです。<br>
 * コアモジュールで提供されるトランザクションサービスクラスジェネリクスがアドオンモジュールに合わせて決定されます。<br>
 * また、Hibernateのトランザクション処理に合わせた各種トランザクション処理インタフェースが提供されます。<br>
 * </p>
 * </ul>
 * <p>
 * また、この他にHibernateに特化した各種トランザクション処理で利用する抽象的な各種上位クラスが提供されます。<br>
 * </p>
 */
package org.phosphoresce.webcore.ext.hibernate4.transaction;