package org.phosphoresce.webcore.ext.struts.action;

import java.io.Serializable;

/**
 * 画面機能単位でのデータを保持する為のセッションであることを識別する為のインタフェースースとして提供します。<br
 * <p>
 * 画面毎のセッションデータを識別する為のインタフェースで、全ての画面セッションクラスは必ずこれを実装します。<br>
 * 現時点では当インタフェースが操作の制約を提供することはありません。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa		新規作成
 * 2012/07/18	Kitagawa		全体的に再構築
 *-->
 */
public interface ScreenSession extends Serializable {
}
