<%@page pageEncoding="UTF-8"%>
<%--
/**
 * フレームワークで決定されたheadタグソースJSPです。<br>
 * <p>
 * フレームワークで決定されたheadタグソースとして、共通レイアウトJSPから必ずincludeさせる必要があります。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/19	Kitagawa			新規作成
 *-->
 */
--%>
<%--
/**
 * metaタグ
 */ 
--%>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=${f:cfg(GlobalConfigNames.COMMON_CHARSET_DEFAULT.key)}" />
<meta http-equiv="pragma" content="no-cache" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<%--
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
<meta http-equiv="X-UA-Compatible" content="IE=8" />
--%>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<%--
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
<meta name="viewport" content="width=1000, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
--%>
<meta name="viewport" content="initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">

<%--
/**
 * ショートカットアイコン
 */ 
--%>
<link rel="shortcut icon" href="${f:res('/images/favicon-512x512.png')}" type="image/png" />
<%--
<link rel="apple-touch-icon-precomposed" href="${f:res('/images/favicon-ios.png')}" />
<link rel="apple-touch-icon" href="${f:res('/images/favicon-ios.png')}" />
--%>
<link rel="apple-touch-icon-precomposed" href="${f:res('/images/favicon-ios.png')}" />

<%--
/**
 * アプリケーションタイトル
 */ 
--%>
<title>${f:h(f:cfg(GlobalConfigNames.COMMON_APPLICATION_TITLE.key))}</title>

<%--
/**
 * スタイルシート定義
 */ 
--%>
<%-- // jQueryテーマスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/redmond/jquery-ui-1.10.2.custom.min.css')}" class="ui-theme" title="redmond" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/ui-lightness/jquery-ui-1.8.21.custom.css')}" class="ui-theme" title="ui-lightness" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-lightgreen/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-lightgreen" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-lightblue/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-lightblue" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-brown/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-brown" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-pink/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-pink" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-monotone/jquery-ui-1.8.23.custom.css')}" class="ui-theme" title="custom-monotone" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-gray/jquery-ui-1.10.3.custom.css')}" class="ui-theme" title="gray" disabled="disabled" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/scripts/jquery/theme/custom-default/jquery-ui-1.10.3.custom.css')}" class="ui-theme" title="default" />
<%-- // フレームワークスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-common.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-general.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-color.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-image.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-decorate.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-widget.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-layout.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/webfw-ui/webfw-ui-default.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/layout.css')}" />
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/selectors.css')}" />
<%-- // jQueryテーマオーバーライドスタイルシート --%>
<link type="text/css" rel="stylesheet" media="all" href="${f:res('/styles/jquery-override.css')}" />

<%--
/**
 * スクリプト定義
 */ 
--%>
<%-- // jQuery関連スクリプト --%>
<%--
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery-1.9.0.js')}"></script>
--%>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery-1.10.2.js')}"></script>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery.cookie.js')}"></script>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery.mousewheel.js')}"></script>
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery-ui-1.10.3.custom.js')}"></script>
<%--
<script type="text/javascript" src="${f:res('/scripts/jquery/jquery.mobile-1.3.1.js')}"></script>
--%>
<%--
<script type="text/javascript" src="${f:res('/scripts/other/bookmark_bubble_bootstrap.js')}"></script>
--%>
<%-- // タブレットタッチ高速化 --%>
<script type="text/javascript" src="${f:res('/scripts/other/fastclick.js')}"></script>
<%-- // サーバサイドメッセージアクセススクリプト --%>
<script type="text/javascript" src="${f:res(f:cfg(GlobalConfigNames.COMMON_SERVLET_PATH_JS_MESSAGE.key))}"></script>
<%-- // フレームワークスクリプト --%>
<script type="text/javascript" src="${f:res('/scripts/org/phosphoresce/DependResolver.js')}"></script>

<%--
/**
 * スクリプト初期化処理
 */ 
--%>
<%-- // フレームワークスクリプト初期化 --%>
<script type="text/javascript">
	DependResolver.init({
		scriptPath : "${pageContext.request.contextPath}/scripts", 
		ignoreCache : true
	});
	DependResolver.load("JQueryExtends");
	DependResolver.load("Browser");
	DependResolver.load("Content");
	DependResolver.load("Dialog");
	DependResolver.load("LockLayer");
	DependResolver.load("ScrollTableList");
	DependResolver.load("Sizing");
	DependResolver.load("StringEx");
	//DependResolver.load("WindowEx");
	DependResolver.load("FieldCorrector");
	DependResolver.load("FieldValidator");
	DependResolver.load("ElementUtil");
	DependResolver.load("EventUtil");
	DependResolver.load("LayoutUtil");
	DependResolver.load("ObjectUtil");
	DependResolver.load("StringUtil");
	DependResolver.load("DateUtil");
	DependResolver.load("ScriptUtil");
	DependResolver.load("UniqueID");
	DependResolver.load("Environment");
	DependResolver.load("Submit");
</script>
<%-- // サーブレット実行環境初期化 --%>
<script type="text/javascript">
	Environment.REQUEST_CONTEXT_PATH = "${request.contextPath}";
	Environment.SERVLET_PATH = "${request.servletPath}";
	Environment.JSP_POPUP_CONTAINER = "${StrutsConstants.JSP_POPUP_CONTAINER}";
	Environment.REQUEST_KEY_ACTION_PATH = "${StrutsConstants.REQUEST_KEY_ACTION_PATH}";
	Environment.FIELD_KEY_TOKEN_ID = "${StrutsConstants.FIELD_KEY_TOKEN_ID}";
	Environment.FIELD_KEY_SESSION_ID = "${StrutsConstants.FIELD_KEY_SESSION_ID}";
	Environment.FIELD_KEY_WINDOW_ID = "${StrutsConstants.FIELD_KEY_WINDOW_ID}";
	Environment.FIELD_KEY_POPUP_WINDOW = "${StrutsConstants.FIELD_KEY_POPUP_WINDOW}";
	Environment.FIELD_KEY_JSON_REQUEST = "${StrutsConstants.FIELD_KEY_JSON_REQUEST}";
	Environment.FIELD_KEY_FIELD_EDITED = "${StrutsConstants.FIELD_KEY_FIELD_EDITED}";
	Environment.FIELD_KEY_FOCUSED_ID = "${StrutsConstants.FIELD_KEY_FOCUSED_ID}";
	Environment.FIELD_KEY_WINDOW_SCROLL_X = "${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_X}";
	Environment.FIELD_KEY_WINDOW_SCROLL_Y = "${StrutsConstants.FIELD_KEY_WINDOW_SCROLL_Y}";
</script>
<%-- // iOSモバイルSafariブラウザ時のブックマーク誘導処理 --%>
<%
if (Config.getBoolean(GlobalConfigName.COMMON_APPLICATION_IOS_BOOKMARK) //
	&& request.getRequestURI() != null && !request.getRequestURI().endsWith(Config.getString(GlobalConfigName.COMMON_JSP_BOOKMARKING))) {
%>
<script>
if (Browser.isMobileSafari() && !Browser.isFullScreenMobileSafari()) {
	var url = "<%=GlobalEnvironment.getContextPath() + Config.getString(GlobalConfigName.COMMON_JSP_BOOKMARKING)%>";
	location.href = url;
}
</script>
<%
}
%>
