<%@page pageEncoding="UTF-8"%>
<%--
/**
 * FS00002(サンプルメニュー画面)スクリプトJSP<br>
 *
 * @author Kitagawa<br>
 *
 */!--
 * 更新日		更新者				更新内容
 * 2012/08/13	Kitagawa			新規作成
 *--/
 */
--%>
<%--
/**
 * 初期表示処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		/*
		 * タブオブジェクト生成
		 */
		$("#tabPane").tabs({
			active : $("#selectedTabIndex").val(),
			activate : function(event, ui) {
				$("#selectedTabIndex").val(ui.newTab.index());
			}
		});

		return true;
	});
</script>
<%--
/**
 * 機能内固有関数を提供します。<br>
 */ 
--%>
<script type="text/javascript">
	
</script>
<%--
/**
 * 存在しないアクションで例外発生ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestNoSuchAction").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/xxxxxxxxxxxx"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 自画面JSPにそのままフォワードボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestForwardJSP").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testForwardJSP"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * サーブレットを呼び出してフォワードボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestForwardAction").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testForwardAction"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * トークンチェックを実施するアクションボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestTokenCheck").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testTokenCheck"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 項目バリデーションの実行ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestValidation").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testValidation"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 編集監視項目の警告を発生するサブミットボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMonitorChange").bind("click", function() {
			Submit.doSubmit({
				editedConfirm : true,
				url : "/FS00002/testMonitorChange"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 編集監視項目のフラグをクリアするボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMonitorChangeClear").bind("click", function() {
			Submit.doSubmit({
				editedConfirm : true,
				url : "/FS00002/testMonitorChangeClear"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 非同期処理試験リスト選択時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#asyncSample").bind("change", function() {
			Submit.doJSON({
				url : "/FS00002/testAsyncListChange",
				lockTarget : "#asyncSample,#asyncSampleSub",
				beforeFunction : function(XMLHttpRequest) {
					// 連携先プルダウンリスト要素初期化
					$("#asyncSampleSub").children().remove();

					// 処理中アイテム追加
					$("#asyncSampleSub").append("<option value=\"\">処理中</option>");

					return true;
				},
				suncessFunction : function(data, dataType) {
					// 連携先プルダウンリスト要素初期化
					$("#asyncSampleSub").children().remove();

					// レスポンス結果設定
					for ( var i in data) {
						var value = escape(data[i].value);
						var label = data[i].label;
						var html = "<option value=\"" + value + "\">" + label + "</option>";
						$("#asyncSampleSub").append(html);
					}
				},
				completeFunction : function(XMLHttpRequest, textStatus) {
				}
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * ダイアログ連携処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestDialogField").bind("click", function() {
			Submit.doModal({
				url : "/FS00003",
				functionClose : function(returnValue) {
					if (returnValue) {
						$("#fieldTestDialog").val(returnValue["value"]);
					}
				}
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * エラーメッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageError").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageError"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 警告メッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageWarning").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageWarning"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 情報メッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageInformation").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageInformation"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 連絡メッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageNotice").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageNotice"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * デバッグメッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageDebug").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageDebug"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * トレースメッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageTrace").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageTrace"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 全レベルメッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageAllLevel").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageAllLevel"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 大量メッセージ設定ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessageLargeQuantity").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testMessageLargeQuantity"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * メッセージページ表示確認ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestMessagePage").bind("click", function() {
			Submit.doPopup({
				url : "/FS00002/testMessagePage"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * ダイアログメッセージ表示確認ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJSMessage").bind("click", function() {
			alert(Message.get("FSTR00000", [ "スクリプトから呼び出し" ]));
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * サーバー設定メッセージのアラート表示ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestClientAlertMessage").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testClientAlertMessage"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * データベース検索ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestHibernateSearch").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testHibernateSearch"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(Excel)ダウンロード処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperExcelDownload").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testJasperExcelDownload"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(PDF)ダウンロード処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperPDFDownload").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testJasperPDFDownload"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(PDF)モーダル表示処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperPDFModal").bind("click", function() {
			Submit.doModal({
				url : "/FS00002/testJasperPDF"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(PDF)ポップアップ表示処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperPDFPopup").bind("click", function() {
			Submit.doPopup({
				url : "/FS00002/testJasperPDF"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(HTML)モーダル表示処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperHTMLModal").bind("click", function() {
			Submit.doModal({
				url : "/FS00002/testJasperHTML"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票(HTML)ポップアップ表示処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperHTMLPopup").bind("click", function() {
			Submit.doPopup({
				url : "/FS00002/testJasperHTML"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Jasper帳票直接印刷処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperDirectPrint").bind("click", function() {
			Submit.doSubmit({
				url : "/FS00002/testJasperDirectPrint"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 複数定義結合PDF生成処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestJasperPDFMultipage").bind("click", function() {
			Submit.doPopup({
				url : "/FS00002/testJasperPDFMultipage"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Excelテンプレートダウンロードボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadTemplate").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadTemplate"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 一階層バインドExcel生成処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadSingleMapping").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadSingleMapping"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * リストバインドExcel生成処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadListMapping").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadListMapping"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 階層リストバインドExcel生成処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadMultiListMapping").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadMultiListMapping"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 複数シートテンプレートからのExcel生成処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadMultiTemplateMapping").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadMultiTemplateMapping"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * Excel-PDF動的変換処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadJODConvert").bind("click", function() {
			Submit.doPopup({
				url : "/FS00002/testPOIDownloadJODConvert"
			});
			return true;
		});
		return true;
	});
</script>
<%--
/**
 * 動的Excel生成後のZIP圧縮処理ボタン押下時処理を行います。<br>
 */ 
--%>
<script type="text/javascript">
	$(function() {
		$("#buttonTestPOIDownloadZIP").bind("click", function() {
			Submit.doDownload({
				url : "/FS00002/testPOIDownloadZIP"
			});
			return true;
		});
		return true;
	});
</script>
