package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * チェックボックスタグの要素インタフェースを提供します。<br>
 * </p>
 * チェックボックスタグはinput[type=checkbox]要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "CheckBoxS.vm", endTemplate = "CheckBoxE.vm")
public class CheckBoxModel extends AbstractLabelValueModel {

	/**
	 * コンストラクタ<br>
	 */
	public CheckBoxModel() {
		super();
	}
}
