package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * ラジオボタンタグの要素インタフェースを提供します。<br>
 * </p>
 * ラジオボタンタグはinput[type=radio]要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "RadioS.vm", endTemplate = "RadioE.vm")
public class RadioModel extends AbstractLabelValueModel {

	/**
	 * コンストラクタ<br>
	 */
	public RadioModel() {
		super();
	}
}
