package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * テキストエリアタグの要素インタフェースを提供します。<br>
 * </p>
 * テキストエリアタグはtextarea要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "TextAreaS.vm", endTemplate = "TextAreaE.vm")
public class TextAreaModel extends AbstractTextModel {

	/**
	 * コンストラクタ<br>
	 */
	public TextAreaModel() {
		super();
	}
}
