package org.phosphoresce.webcore.ext.smartlayout.model;

import org.phosphoresce.webcore.ext.smartlayout.taglib.annotation.SmartTagModelConfig;

/**
 * テキストタグの要素インタフェースを提供します。<br>
 * </p>
 * テキストタグはinput[type=text]要素を指します。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/03/13	Kitagawa		新規作成
 *-->
 */
@SmartTagModelConfig(startTemplate = "TextS.vm", endTemplate = "TextE.vm")
public class TextModel extends AbstractTextModel {

	/**
	 * コンストラクタ<br>
	 */
	public TextModel() {
		super();
	}
}
