package sample.org.phosphoresce.webcore.ext.struts.common.action;

import org.phosphoresce.webcore.ext.struts.action.ScreenSession;
import org.phosphoresce.webcore.ext.struts.annotation.StrutsSession;

/**
 * サンプルアプリケーション共通画面セッションデータを提供します。<br>
 * <p>
 * アプリケーションの各画面セッションクラスはすべてこのクラスを継承して作成します。<br>
 * 全ての画面共通で保持させたいセッションデータがある場合はここに定義されます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/06/29	Kitagawa		新規作成
 *-->
 */
@StrutsSession
public abstract class SampleSession implements ScreenSession {
}
