package sample.org.phosphoresce.webcore.ext.struts.common.action;

/**
 * サンプルアプリケーション共通ユーティリティを提供します。<br>
 * <p>
 * アプリケーションの各画面ユーティリティは全てこのユーティリティが継承されたサブクラスとして作成します。<br>
 * </p>
 * <p>
 * staticなメソッドの集合体であるユーティリティクラスの継承関係は本来必要ありません。<br>
 * 但し、他のクラス同様に継承関係を持たせておくことで、将来的に共通のユーティリティメソッドを追加する場合などで、
 * 機能ごとのユーティリティクラス利用箇所から共通のユーティリティメソッドを利用するように容易にリファクタリングを行える構成とします。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/06/29	Kitagawa		新規作成
 *-->
 */
public abstract class SampleUtil {
}
