/**
 * Struts(1.X.X系)アドオンフレームワークサンプルのサービスクラスを提供します。<br>
 * <p>
 * サンプルとしてテーブル単位にサービスクラスを作成する前提でサンプルクラスを提供します。<br>
 * サービスクラスの作成単位はアプリケーション設計方式に依存するため、特に推奨モデルはありません。<br>
 * </p>
 * <p>
 * サービスクラスの作成単位は以下のようなパターンが考えられます。<br>
 * <ul>
 * <li>テーブル単位</li>
 * ユーザーがサービスクラスを利用する際に目的の処理を持つサービスクラスを見つけ出すことが容易になります。<br>
 * 但し、DAOクラスとの位置づけが曖昧となりがちな構成であるため、規約にてDAOクラスとサービスクラスの位置づけを明確に決定する必要があります。<br>
 * <li>機能単位</li>
 * ユーザーが他の機能に影響なくサービスクラスを設けることが可能となり、分散開発が容易に行えるようになります。<br>
 * 但し、汎用的なサービス処理が散在してしまうため、保守性は大きく低下する可能性があります。<br>
 * <li>ユースケース単位</li>
 * 共通のサービス処理が冗長的に実装されることがないため、保守性が向上します。<br>
 * 但し、アプリケーション開発序盤でサービス設計の標準化が非常に重要となります。<br>
 * </ul>
 * </p>
 */
package sample.org.phosphoresce.webcore.ext.struts.common.service;