package test.org.phosphoresce.webcore.ext.hibernate;

import org.phosphoresce.webcore.ext.hibernate4.model.SUser;
import org.phosphoresce.webcore.ext.hibernate4.transaction.AbstractHibernateLogic;
import org.phosphoresce.webcore.ext.hibernate4.transaction.HibernateTransactionContext;

/**
 * Hibernate(4.X系)を利用したデータベース処理アドオンフレームワークのテストロジッククラスです。<br>
 * <p>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2013/07/04	Kitagawa		新規作成
 *-->
 */
public class TestHibernateLogic extends AbstractHibernateLogic<SUser> {

	/**
	 * コンストラクタ<br>
	 * @param process
	 */
	protected TestHibernateLogic(HibernateTransactionContext<SUser> process) {
		super(process);
	}

	/**
	 * ビジネスロジック処理を実行します。<br>
	 * @throws  Throwable ビジネスロジック処理中に予期せぬ例外が発生した場合にスローされます
	 * @see org.phosphoresce.webcore.ext.hibernate4.transaction.AbstractHibernateLogic#process()
	 */
	@Override
	protected void process() throws Throwable {
		// サービスクラス生成
		TestHibernateService testHibernateService = createService(TestHibernateService.class);

		// サービス処理実行
		testHibernateService.test();
	}
}
