package org.phosphoresce.webcore.ext.jasper;

import org.phosphoresce.webcore.core.GlobalConstants;

/**
 * JasperReportsアドオンモジュールにおける共通の定数を提供します。<br>
 * <p>
 * 上位インタフェースとして{@link GlobalConstants}を継承するため、コアモジュールの共通定数が引き継がれた定数インタフェースとなります。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public interface JasperConstants extends GlobalConstants {

	/** JasperReports定義体拡張子 */
	public static final String JASPER_FORM_EXTENSION = ".jrxml";

	/** JasperReportsコンパイル済み定義体拡張子 */
	public static final String JASPER_COMPILED_FORM_EXTENSION = ".jasper";
}
