package org.phosphoresce.webcore.ext.jasper.exception;

import org.phosphoresce.webcore.core.exception.WebcoreApplicationException;

/**
 * 帳票出力時に出力対象の帳票が存在しない場合のにスローされます。<br>
 * <p>
 * 帳票出力処理を行う際に、出力対象の帳票が存在しない場合にスローされる例外となります。<br>
 * この例外クラスは{@link WebcoreApplicationException}が継承された例外クラスであり、アプリケーションエラーとして扱われます。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2011/07/07	Kitagawa		新規作成
 *-->
 */
public class JasperNoReportException extends WebcoreApplicationException {

	/**
	 * コンストラクタ<br>
	 */
	public JasperNoReportException() {
		super("FJPR00013");
	}
}
