package org.phosphoresce.webcore.ext.jdbc;

import org.phosphoresce.webcore.core.GlobalConstants;

/**
 * JDBCアドオンモジュールにおける共通の定数を提供します。<br>
 * <p>
 * 上位インタフェースとして{@link GlobalConstants}を継承するため、コアモジュールの共通定数が引き継がれた定数インタフェースとなります。<br>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public interface JDBCConstants extends GlobalConstants {

	/** JDBC接続タイプ(JDCB接続) */
	public static final String CONNECTION_TYPE_JDBC = "jdbc";

	/** JDBC接続タイプ(データソース接続) */
	public static final String CONNECTION_TYPE_DATASOURCE = "datasource";
}
