package org.phosphoresce.webcore.ext.struts;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * アプリケーション実行中に永続的に保持されるStruts(1.X.X系)を利用したデータベース処理アドオンモジュール情報を提供します。<br>
 * <p>
 * クラス概要はコアモジュール側パッケージドキュメントを参照してください。<br>
 * </p>
 * 
 * @author Kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2010/07/03	Kitagawa		新規作成
 *-->
 */
public class StrutsEnvironment implements Serializable, StrutsConstants {

	/**
	 * 環境変数内容をMapオブジェクトとして取得します。<br>
	 * @return Mapオブジェクト
	 */
	public static Map<String, Object> getMap() {
		Map<String, Object> map = new HashMap<String, Object>();
		return map;
	}

	/**
	 * コンストラクタ<br>
	 */
	private StrutsEnvironment() {
		super();
	}
}
